Bug 15072 - Breadcrumbs and titles inconsistent in Label creator
Summary: Breadcrumbs and titles inconsistent in Label creator
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on: 14667
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 17:43 UTC by Tomás Cohen Arazi
Modified: 2016-06-21 21:39 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15072: Breadcrumbs and titles inconsistent in Label creator (10.62 KB, patch)
2015-10-27 18:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15072: (followup) We use 'New' instead of 'Create' on the UI (5.63 KB, patch)
2015-10-27 18:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 15072: (followup) Use 'New' on Patron card creator too (5.54 KB, patch)
2015-10-27 18:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 14722: CSV is only available for biblio records (1.61 KB, patch)
2015-10-28 10:56 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15072: Breadcrumbs and titles inconsistent in Label creator (10.69 KB, patch)
2015-10-29 16:57 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15072: (followup) We use 'New' instead of 'Create' on the UI (5.71 KB, patch)
2015-10-29 16:57 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15072: (followup) Use 'New' on Patron card creator too (5.71 KB, patch)
2015-10-29 16:57 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15072: (followup) fix spaces and consistency (3.87 KB, patch)
2015-10-29 16:58 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 15072: Breadcrumbs and titles inconsistent in Label creator (10.75 KB, patch)
2015-10-30 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15072: (followup) We use 'New' instead of 'Create' on the UI (5.77 KB, patch)
2015-10-30 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15072: (followup) Use 'New' on Patron card creator too (5.76 KB, patch)
2015-10-30 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15072: (followup) fix spaces and consistency (3.94 KB, patch)
2015-10-30 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-10-27 17:43:14 UTC

    
Comment 1 Tomás Cohen Arazi 2015-10-27 17:44:36 UTC
After the UX/UI patches got pushed, the only missing piece was making the breadcrumbs more consistent. The same applies to the page title.
Comment 2 Tomás Cohen Arazi 2015-10-27 18:25:16 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2015-10-27 18:25:19 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2015-10-27 18:25:24 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2015-10-28 10:56:16 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2015-10-28 10:57:21 UTC
Comment on attachment 44120 [details] [review]
Bug 14722: CSV is only available for biblio records

Sorry, i messed something whil trying to attach multiple patches.
Comment 7 Bernardo Gonzalez Kriegel 2015-10-29 16:57:25 UTC Comment hidden (obsolete)
Comment 8 Bernardo Gonzalez Kriegel 2015-10-29 16:57:33 UTC Comment hidden (obsolete)
Comment 9 Bernardo Gonzalez Kriegel 2015-10-29 16:57:40 UTC Comment hidden (obsolete)
Comment 10 Bernardo Gonzalez Kriegel 2015-10-29 16:58:42 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2015-10-30 09:08:03 UTC
Created attachment 44188 [details] [review]
Bug 15072: Breadcrumbs and titles inconsistent in Label creator

This patch makes the page title and breadcrumbs more consistent.
It does so by removing some text (Manage...) and using Edit (id) and Create
on building both the breadcrumbs and titles.

To test:
- Traverse all the Label creator options
=> FAIL: the texts are not consistent and don't match what we use in the patron card creator.
- Apply the patch
=> SUCCESS: Terminology is consistent, titles and breadcrumbs show the same information
- Sign off :-D

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2015-10-30 09:08:07 UTC
Created attachment 44189 [details] [review]
Bug 15072: (followup) We use 'New' instead of 'Create' on the UI

This patch makes the UI show 'New' instead of 'Create' so it matches
the buttons, and the common practice on the UI.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 13 Jonathan Druart 2015-10-30 09:08:10 UTC
Created attachment 44190 [details] [review]
Bug 15072: (followup) Use 'New' on Patron card creator too

This patch makes the change on the patron cards creator tool too.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
All patches without errors.
More consistent view.
A few spaces and a little fix in followup

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2015-10-30 09:08:14 UTC
Created attachment 44191 [details] [review]
Bug 15072: (followup) fix spaces and consistency

This patch add a few spaces when required and
adds layout_id on title and breadcrumbs (for patroncards)

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Tomás Cohen Arazi 2015-10-30 13:06:02 UTC
Patches pushed to master.

Thanks for the followup, Bernardo!